//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//

#ifndef IcaTrackingAction_h
#define IcaTrackingAction_h 1

#include "globals.hh"
#include "G4UserTrackingAction.hh"

class IcaTrackingActionMessenger;

class IcaTrackingAction : public G4UserTrackingAction {

  public:
    IcaTrackingAction();
    virtual ~IcaTrackingAction();

    virtual void PreUserTrackingAction(const G4Track*);
    virtual void PostUserTrackingAction(const G4Track*);

  private:
    IcaTrackingActionMessenger* theMessenger;

    G4bool StoreTrajectoriesOfSecondariesFlag;

  public:
    inline void SetStoreTrajectoriesOfSecondariesFlag(G4bool val) { StoreTrajectoriesOfSecondariesFlag = val; };

};

#endif

// end of file IcaTrackingAction.hh by Jacek M. Holeczek
