//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaPrimaryGeneratorActionMessenger.cc,v 1.2 2001/07/11 09:57:25 gunter Exp $
// GEANT4 tag $Name: geant4-04-00 $
//
// 

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

#include "IcaPrimaryGeneratorActionMessenger.hh"

#include "IcaPrimaryGeneratorAction.hh"
#include "G4UIcmdWithoutParameter.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

IcaPrimaryGeneratorActionMessenger::IcaPrimaryGeneratorActionMessenger(
					IcaPrimaryGeneratorAction* IcaGun)
:IcaAction(IcaGun)
{ 
  DefaultCmd = new G4UIcmdWithoutParameter("/Simulation/SetDefaultGunParameters",this);
  DefaultCmd->SetGuidance("Set the default particle gun kinematic.");
  DefaultCmd->AvailableForStates(G4State_PreInit, G4State_Idle);
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

IcaPrimaryGeneratorActionMessenger::~IcaPrimaryGeneratorActionMessenger()
{
  delete DefaultCmd;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

void IcaPrimaryGeneratorActionMessenger::SetNewValue(G4UIcommand * command,
						     G4String /*newValue*/)
{ 
  if( command == DefaultCmd)
   { IcaAction->SetDefaultKinematic();}
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

// end of file IcaPrimaryGeneratorActionMessenger.cc by Jacek M. Holeczek
